package com.yidian.shenghuoquan.newscontent.http.httpbean


data class VideoContentDetailBean(
    var category: String?,
    var comment_count: String?,
    var origin_comment_count: Number = 0,
    var content: String?,
    var ctype: String?,
    var date: String?,
    var docid: String?,
    var dsource: String?,
    var duration: Int = 0,
    var image: String?,
    var is_collect: Boolean = false,
    var is_gov: Boolean = false,
    var is_like: Boolean = false,
    var is_subscribed: Boolean = false,
    var like: String = "0",
    var origin_like: Number = 0,
    var related_wemedia: RelatedWemedia?,
    var source: String?,
    var subscribe_id: String?,
    var summary: String?,
    var title: String?,
    var url: String?,
    var share_url: String?,
    var video_url: String?,
    var video_urls: List<VideoUrl>?
) {
    data class RelatedWemedia(
        var account_click: Int = 0,
        var authentication: String?,
        var can_reward: Boolean = false,
        var channel_id: String?,
        var copy_right_mark: String?,
        var fromId: String?,
        var id: Int = 0,
        var is_changfeng: Int = 0,
        var media_domain: String?,
        var media_name: String?,
        var media_pic: String?,
        var media_summary: String?,
        var plus_v: Int = 0,
        var slogan: String?,
        var source_type: Int = 0,
        var sunnyplan_mark: String?,
        var sunnyplan_snnum: String?,
        var type: String?
    )

    data class VideoUrl(
        var default: Boolean = false,
        var quality: Int = 0,
        var size: Int = 0,
        var url: String?
    )
}